Skip to main content
PATCH
Update a form

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

formId
string
required

The ID of the form to update

Body

application/json
name
string

New name for the form

status
enum<string>

New status for the form

Available options:
BLANK,
DRAFT,
PUBLISHED
blocks
(FormTitleBlock · object | TitleBlock · object | TextBlock · object | LabelBlock · object | Heading1Block · object | Heading2Block · object | Heading3Block · object | ImageBlock · object | EmbedBlock · object | EmbedVideoBlock · object | EmbedAudioBlock · object | DividerBlock · object | PageBreakBlock · object | InputTextBlock · object | TextareaBlock · object | InputNumberBlock · object | InputEmailBlock · object | InputLinkBlock · object | InputPhoneNumberBlock · object | InputDateBlock · object | InputTimeBlock · object | MultipleChoiceOptionBlock · object | CheckboxBlock · object | DropdownOptionBlock · object | RankingOptionBlock · object | MultiSelectOptionBlock · object | LinearScaleBlock · object | RatingBlock · object | MatrixBlock · object | MatrixRowBlock · object | MatrixColumnBlock · object | FileUploadBlock · object | SignatureBlock · object | PaymentBlock · object | HiddenFieldsBlock · object | ConditionalLogicBlock · object | CalculatedFieldsBlock · object | CaptchaBlock · object | RespondentCountryBlock · object)[]

Updated blocks for the form

A block with type FORM_TITLE. Used for the main form title with optional logo and cover image.

settings
object

Updated settings for the form

Response

Form updated successfully

id
string
required
name
string
required
workspaceId
string
required
status
enum<string>
required

Deleting a form is done through DELETE /forms/{formId}, which moves it to the trash so it can be restored.

Available options:
BLANK,
DRAFT,
PUBLISHED
numberOfSubmissions
number
required
isClosed
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
payments
object[]